Protégez vos applications avec l'encodage  PHP

En quelques mots

Zend Guard, l'outil de cryptage PHP le plus utilisé du marché, protège votre application de toute utilisation frauduleuse et d'ingénierie inversée.



Zend Guard optimise la profitabilité de votre logiciel en :

  • limitant la duplication ou l'utilisation non-authorisée de vos applications.

  • vous assurant que seuls les clients avec une clé de licence valide utilisent votre produit, et qu'ils se conforment à conditions d'utilisation.

  • offra,t des conditions d'utilisation flexibles qui rendent vos logiciels plus attractifs, améliorent vos ventes et améliorent la satisfaction client.

  • améliorant le taux de conversion entre évaluation et achat.

  • empêchant d'autres personnes de changer votre code (tous les fichiers sont rendus non-éditables et les changements externes corromptent le code), en protégeant les fichiers contre toute falsification externe.

Fonctionnalités

Encoder avec Zend Guard permet aux développeurs d'encoder leurs scipts PHP à n'importe quel moment pendzant la phase de développement. Cela permettra au code d'être encodé avant même de le distribuer ou de le publier.

En savoir plus

Encodez vos applications PHP

Protégez votre propriété intellectuelle contre l'ingénierie inverse et les modifications

Vous avez travaillé dur pour développer votre code. Maintenant vous devez le protéger. Les puissantes technologies d'encodage et d'obfuscation de Zend Guard empêchent toutes tentatives de reverse engineering, de violation de copyright et de modifications non-autorisées de votre code.

 

L'encodage est un processus où le code source PHP est converti en un format machine intermédiaire lisible. Ce format est difficilement lisible et convertible vers un code source classique lisible par un humain. Ceci permet de protéger votre code. Si quelqu'un est à même d'avoir accès au code de votre site, il ne sera pas capable de l'utiliser de manière inappropriée.


L'obfuscation est un processus où le code est intentionnellement rendu illisible en tant que code source ou comme code obtenu par ingénierie inversée. Cette obfuscation est utilisée pour gérer les risques qui découleraient d'un accès frauduleux au code source. Ces risques incluent la perte de propriété intellectuelle, la facilité de découvrir les vulnérabilités de l'application ou une perte de revenus qui pourraient se produire si les applications étaient victimes d'ingénierie inverse, leur licence modifiée puis recompilées. Bien que l'ingénierie inverse ait toujours existé dans le monde logiciel, il est extrêmement important dans des environnements informatiques tels que PHP qui utilise des éléments de langage de processus dynamique plutôt que le code qui a été compilé en langage machine avant d'être déployé.  

Protégez votre code contre toute utilisation frauduleuse

Zend Guard permet aux éditeurs de logiciels (ISV) de créer une gamme complète de licences différentes pour leurs applications PHP commerciales. Ce produit supporte les modèles de licences les plus courants tels que : par utilisateurs simultanés, limité dans le temps, segment de réseaux ou par serveur. Ceci autorise les éditeurs à optimiser leurs revenus en empêchant une utilisation frauduleuse.  


Le télécharger

Zend Guard Loader

Zend Guard Loader est un environnement d'exécution gratuit qui permet à PHP d'exécuter les scripts encodés par Zend Guard. Il peut être utilisé gratuitement par quiconque souhaite exécuter des applications encodées.

Que souhaitez-vous faire ?

Exécuter une application encodée par Zend Guard

La manière la plus simple de mettre en place un environnement PHP qui peut exécuter scripts protégés par Zend Guard est d'installer Zend Server, notre stack applicatif pré-intégré. Zend Server inclut :

 

Télécharger Zend Server »

Non merci, je veux télécharger uniquement les environnements Zend Guard Loader »

Quoi de neuf

Changements dans Zend Guard version 6.0 par rapport à la 5.5

Support complet de PHP 5.4

Changements dans Zend Guard version 5.5 par rapport à la 5.0.1

Support complet de PHP 5.3

 

Configuration requise

Systèmes d'exploitation supportés :

Versions de PHP supportées :